Переполнение буфера в Faad2

Дата публикации:
30.09.2008
Всего просмотров:
849
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Faad2 2.x
Уязвимые версии: Faad2 2.6.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "decodeMP4file()" в файле frontend/main.c. Удаленный пользователь может с помощью специально сформированного MPEG-4 файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.audiocoding.com/faad2.html

Решение: Установите исправление с сайта производителя.
www.audiocoding.com/patch/main_overflow.diff

Ссылки: http://www.audiocoding.com/archive.html

или введите имя

CAPTCHA